package com.zehong.system.domain.track;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 图纸对象 t_product_drawing
 * 
 * @author zehong
 * @date 2024-08-21
 */
public class TProductDrawing extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 图纸名称 */
    @Excel(name = "图纸名称")
    private String title;

    /** 图纸编号 */
    @Excel(name = "图纸编号")
    private String drawingNo;

    /** 图纸型号 */
    @Excel(name = "图纸型号")
    private String model;

    /** 版本号 */
    @Excel(name = "版本号")
    private String version;

    /** 图纸分类（数据字典） */
    @Excel(name = "图纸分类", dictType = "t_draw_type")
    private String cateId;

    /** 图纸描述 */
    @Excel(name = "图纸描述")
    private String content;

    /** 图纸来源 */
    @Excel(name = "图纸来源")
    private String source;

    /** 图纸附件 */
    @Excel(name = "图纸附件")
    private String fileUrl;

    /** $column.columnComment */
    private Long createId;

    /** 删除状态：0否，1是 */
    private String isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setDrawingNo(String drawingNo) 
    {
        this.drawingNo = drawingNo;
    }

    public String getDrawingNo() 
    {
        return drawingNo;
    }
    public void setModel(String model) 
    {
        this.model = model;
    }

    public String getModel() 
    {
        return model;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setCateId(String cateId) 
    {
        this.cateId = cateId;
    }

    public String getCateId() 
    {
        return cateId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setSource(String source) 
    {
        this.source = source;
    }

    public String getSource() 
    {
        return source;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }
    public void setCreateId(Long createId) 
    {
        this.createId = createId;
    }

    public Long getCreateId() 
    {
        return createId;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("drawingNo", getDrawingNo())
            .append("model", getModel())
            .append("version", getVersion())
            .append("cateId", getCateId())
            .append("content", getContent())
            .append("source", getSource())
            .append("fileUrl", getFileUrl())
            .append("createTime", getCreateTime())
            .append("createId", getCreateId())
            .toString();
    }
}
